Module | Tk::TclX
In: | tk/lib/tkextlib/tclx/tclx.rb

### Methods

infox package_name package_version signal signal_restart

### Classes and Modules

Class Tk::TclX::XPG3_MsgCat

### Constants

PACKAGE_NAME | = | 'Tclx'.freeze

### Public Class methods

infox(*args)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 31
        def self.infox(*args)
          Tk.tk_call('infox', *args)
        end

package_name()

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 19
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 23
        def self.package_version
          begin
            TkPackage.require('Tclx')
          rescue
            ''
          end
        end

signal(*args)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 35
        def self.signal(*args)
          warn("Warning: Don't recommend to use TclX's 'signal' command. Please use Ruby's 'Signal.trap' method")
          Tk.tk_call('signal', *args)
        end

signal_restart(*args)

[Source]

    # File tk/lib/tkextlib/tclx/tclx.rb, line 40
        def self.signal_restart(*args)
          warn("Warning: Don't recommend to use TclX's 'signal' command. Please use Ruby's 'Signal.trap' method")
          Tk.tk_call('signal', '-restart', *args)
        end

[Validate]